[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

SlantedEdgeMTFOptions Class Reference

Pass options to one of the slantedEdgeMTF() functions. More...

`#include <vigra/slanted_edge_mtf.hxx>`

## Public Member Functions

SlantedEdgeMTFOptions & | desiredEdgeWidth (unsigned int n)
SlantedEdgeMTFOptions & | minimumEdgeWidth (unsigned int n)
SlantedEdgeMTFOptions & | minimumNumberOfLines (unsigned int n)
SlantedEdgeMTFOptions & | mtfSmoothingScale (double scale)
| SlantedEdgeMTFOptions ()

## Detailed Description

Pass options to one of the slantedEdgeMTF() functions.

`SlantedEdgeMTFOptions` is an argument objects that holds various optional parameters used by the slantedEdgeMTF() functions. If a parameter is not explicitly set, a suitable default will be used. Changing the defaults is only necessary if you can't obtain good input data, but absolutely need an MTF estimate.

Usage:

#include <vigra/slanted_edge_mtf.hxx>
Namespace: vigra

MultiArray<2, float> src(w,h);
std::vector<vigra::TinyVector<double, 2> > mtf;
...
slantedEdgeMTF(src, mtf,
SlantedEdgeMTFOptions().mtfSmoothingScale(1.0));
// print the frequency / attenuation pairs found
for(int k=0; k<result.size(); ++k)
std::cout << "frequency: " << mtf[k][0] << ", estimated attenuation: " << mtf[k][1] << std::endl;
vigra::RGBValue
Class for a single RGB value.
Definition rgbvalue.hxx:128
vigra::SlantedEdgeMTFOptions::SlantedEdgeMTFOptions
SlantedEdgeMTFOptions()
Definition slanted_edge_mtf.hxx:100
vigra::SlantedEdgeMTFOptions::mtfSmoothingScale
SlantedEdgeMTFOptions & mtfSmoothingScale(double scale)
Definition slanted_edge_mtf.hxx:150
vigra::TinyVectorBase::size
size_type size() const
Definition tinyvector.hxx:913

## Constructor & Destructor Documentation

## ◆ SlantedEdgeMTFOptions()

SlantedEdgeMTFOptions | ( |  | ) |

Initialize all options with default values.

## Member Function Documentation

## ◆ minimumNumberOfLines()

SlantedEdgeMTFOptions & minimumNumberOfLines | ( | unsigned int | n | ) |

Minimum number of pixels the edge must cross.

The longer the edge the more accurate the resulting MTF estimate. If you don't have good data, but absolutely have to compute an MTF, you may force a lower value here.
Default: 20

## ◆ desiredEdgeWidth()

SlantedEdgeMTFOptions & desiredEdgeWidth | ( | unsigned int | n | ) |

Desired number of pixels perpendicular to the edge.

The larger the regions to either side of the edge, the more accurate the resulting MTF estimate. If you don't have good data, but absolutely have to compute an MTF, you may force a lower value here.
Default: 10

## ◆ minimumEdgeWidth()

SlantedEdgeMTFOptions & minimumEdgeWidth | ( | unsigned int | n | ) |

Minimum acceptable number of pixels perpendicular to the edge.

The larger the regions to either side of the edge, the more accurate the resulting MTF estimate. If you don't have good data, but absolutely have to compute an MTF, you may force a lower value here.
Default: 5

## ◆ mtfSmoothingScale()

SlantedEdgeMTFOptions & mtfSmoothingScale | ( | double | scale | ) |

Amount of smoothing of the computed MTF.

If the data is noisy, so will be the MTF. Thus, some smoothing is useful.
Default: 2.0

The documentation for this class was generated from the following file:

- vigra/slanted_edge_mtf.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.1